package com.lilosoft.core.model;

import java.io.Serializable;
import java.util.Date;

/**
 * Bean基础类
 * @author YanJie
 * @version 2016-11-28
 */
public abstract class BaseBean implements Serializable {
	
	public static final long serialVersionUID = 1L;
	
	/**
	 * 主键id
	 */
	private String id;
	
	/**
	 * 创建时间
	 */
	private Date createTime;
	
	/**
	 * 可用标志[0:不可用; 1:可用]
	 */
	private String useFlag;
	
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getUseFlag() {
		return useFlag;
	}

	public void setUseFlag(String useFlag) {
		this.useFlag = useFlag;
	}
}
